package com.steering.mes.mcp.entity;

import java.io.Serializable;
/**
 * 数据库表VRP_JUMPINGUP_FACE_M所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-201412141732   date 2016-06-06
 */
@SuppressWarnings("serial")
public class VrpJumpingupFaceMEntity implements Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉批计划ID
     */
    private String heatPlanNo = "";
    /**
     * 镦拔扩作业批次号
     */
    private String zyBatchId = "";
    /**
     * 镦拔扩订单编号
     */
    private String proPlanId = "";
    /**
     * 镦拔扩订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 合格支数
     */
    private String accNum = "";
    /**
     * 合格重量
     */
    private String accWt = "";
    /**
     * 废品支数(剔除)
     */
    private String failNum = "";
    /**
     * 废品重量(剔除)
     */
    private String failWt = "";
    /**
     * 废品(LEU)量
     */
    private String leuNum = "";
    /**
     * 废品(D4)量
     */
    private String d4Num = "";
    /**
     * 不圆度量
     */
    private String ellipNum = "";
    /**
     * 加厚壁厚量
     */
    private String upsettingNum = "";
    /**
     * 裂纹量
     */
    private String crackNum = "";
    /**
     * 气孔量
     */
    private String airNum = "";
    /**
     * 凹、点坑量
     */
    private String notch = "";
    /**
     * 其它缺陷量
     */
    private String other = "";
    /**
     * 下线支数
     */
    private String offlineNum = "";
    /**
     * 下线重量
     */
    private String offlineWt = "";
    /**
     * 返线支数
     */
    private String reNum = "";
    /**
     * 返线重量
     */
    private String reWt = "";
    /**
     * 监制要求
     */
    private String monitordemand = "";
    /**
     * 是否镦拔扩监制
     */
    private String ifMonitorDbk = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 监制到场时间
     */
    private String producerTime = "";
    /**
     * 上料时间
     */
    private String loadTime = "";
    /**
     * 上料班次
     */
    private String loadShift = "";
    /**
     * 上料班组
     */
    private String loadGroup = "";
    /**
     * 操作人
     */
    private String loadUser = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉批计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉批计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 镦拔扩作业批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 镦拔扩作业批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 镦拔扩订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 镦拔扩订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 镦拔扩订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 镦拔扩订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 合格支数
     * @return value
     */
    public String getAccNum() {
        return accNum;
    }

    /**
     * 合格支数
     * @param accNum value
     */
    public void setAccNum(String accNum) {
        this.accNum = accNum;
    }

    /**
     * 合格重量
     * @return value
     */
    public String getAccWt() {
        return accWt;
    }

    /**
     * 合格重量
     * @param accWt value
     */
    public void setAccWt(String accWt) {
        this.accWt = accWt;
    }

    /**
     * 废品支数(剔除)
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数(剔除)
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量(剔除)
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量(剔除)
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 废品(LEU)量
     * @return value
     */
    public String getLeuNum() {
        return leuNum;
    }

    /**
     * 废品(LEU)量
     * @param leuNum value
     */
    public void setLeuNum(String leuNum) {
        this.leuNum = leuNum;
    }

    /**
     * 废品(D4)量
     * @return value
     */
    public String getD4Num() {
        return d4Num;
    }

    /**
     * 废品(D4)量
     * @param d4Num value
     */
    public void setD4Num(String d4Num) {
        this.d4Num = d4Num;
    }

    /**
     * 不圆度量
     * @return value
     */
    public String getEllipNum() {
        return ellipNum;
    }

    /**
     * 不圆度量
     * @param ellipNum value
     */
    public void setEllipNum(String ellipNum) {
        this.ellipNum = ellipNum;
    }

    /**
     * 加厚壁厚量
     * @return value
     */
    public String getUpsettingNum() {
        return upsettingNum;
    }

    /**
     * 加厚壁厚量
     * @param upsettingNum value
     */
    public void setUpsettingNum(String upsettingNum) {
        this.upsettingNum = upsettingNum;
    }

    /**
     * 裂纹量
     * @return value
     */
    public String getCrackNum() {
        return crackNum;
    }

    /**
     * 裂纹量
     * @param crackNum value
     */
    public void setCrackNum(String crackNum) {
        this.crackNum = crackNum;
    }

    /**
     * 气孔量
     * @return value
     */
    public String getAirNum() {
        return airNum;
    }

    /**
     * 气孔量
     * @param airNum value
     */
    public void setAirNum(String airNum) {
        this.airNum = airNum;
    }

    /**
     * 凹、点坑量
     * @return value
     */
    public String getNotch() {
        return notch;
    }

    /**
     * 凹、点坑量
     * @param notch value
     */
    public void setNotch(String notch) {
        this.notch = notch;
    }

    /**
     * 其它缺陷量
     * @return value
     */
    public String getOther() {
        return other;
    }

    /**
     * 其它缺陷量
     * @param other value
     */
    public void setOther(String other) {
        this.other = other;
    }

    /**
     * 下线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 下线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 下线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 下线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getReNum() {
        return reNum;
    }

    /**
     * 返线支数
     * @param reNum value
     */
    public void setReNum(String reNum) {
        this.reNum = reNum;
    }

    /**
     * 返线重量
     * @return value
     */
    public String getReWt() {
        return reWt;
    }

    /**
     * 返线重量
     * @param reWt value
     */
    public void setReWt(String reWt) {
        this.reWt = reWt;
    }

    /**
     * 监制要求
     * @return value
     */
    public String getMonitordemand() {
        return monitordemand;
    }

    /**
     * 监制要求
     * @param monitordemand value
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }

    /**
     * 是否镦拔扩监制
     * @return value
     */
    public String getIfMonitorDbk() {
        return ifMonitorDbk;
    }

    /**
     * 是否镦拔扩监制
     * @param ifMonitorDbk value
     */
    public void setIfMonitorDbk(String ifMonitorDbk) {
        this.ifMonitorDbk = ifMonitorDbk;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 上料时间
     * @return value
     */
    public String getLoadTime() {
        return loadTime;
    }

    /**
     * 上料时间
     * @param loadTime value
     */
    public void setLoadTime(String loadTime) {
        this.loadTime = loadTime;
    }

    /**
     * 上料班次
     * @return value
     */
    public String getLoadShift() {
        return loadShift;
    }

    /**
     * 上料班次
     * @param loadShift value
     */
    public void setLoadShift(String loadShift) {
        this.loadShift = loadShift;
    }

    /**
     * 上料班组
     * @return value
     */
    public String getLoadGroup() {
        return loadGroup;
    }

    /**
     * 上料班组
     * @param loadGroup value
     */
    public void setLoadGroup(String loadGroup) {
        this.loadGroup = loadGroup;
    }

    /**
     * 操作人
     * @return value
     */
    public String getLoadUser() {
        return loadUser;
    }

    /**
     * 操作人
     * @param loadUser value
     */
    public void setLoadUser(String loadUser) {
        this.loadUser = loadUser;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }
}
